%define module desksanity
%define	name e-module-%module
%define oversion 1.1.0
%define	version 20151228
%define release %mkrel 1

Summary: 	Enlightenment Extra Modules - %module
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://get-e.org/
Source: 	%module-%oversion.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	efx-devel
BuildRequires:	efl-devel
BuildRequires:	e-elementary-devel
BuildRequires:	enlightenment-devel
BuildRequires:	gettext-devel
BuildRequires:  %{_lib}xkbfile-devel
BuildRequires:	imagemagick
BuildRequires:  %{_lib}xcomposite-devel
BuildRequires:	%{_lib}mpd-devel
Obsoletes:	e_modules < %version-%release

%description
Enlightenment Extra Modules - %module

%prep
%setup -q -n %module-%oversion

%build
%define Werror_cflags %nil

%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
find %buildroot -name *.la | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README
%{_libdir}/enlightenment/modules/*


%changelog
* Mon Dec 28 2015 bb <bb> 20151228-1pclos2015
- update to 1.1.0

* Sun Dec 06 2015 bb <bb> 20151201-1plos2015
- update to 1.0.3

* Thu Sep 24 2015 bb <bb> 20150925-1pclos2015
- update to 1.0.2

* Thu Feb 25 2015 bb <bb> 20141115-2pclos2015
- rebuild
